/**********************************************************
 *  NEV.C - Next Environment Variable                     *
 *  Jim Kyle, July 1, 1990                                *
 *                                                        *
 *  cl -qc nev.c -MAmx nxtevar.asm envpkg.asm             *
 **********************************************************/
#include <stdio.h>
#include <stdlib.h>

char far * nxtevar( char far * vptr );
char far * curenvp( void );

void main (void)
{ char far * myenv;

  myenv = curenvp();
  while ( myenv )
    { printf("Env Var at %Fp: %Fs\n", myenv, myenv );
      myenv = nxtevar( myenv );
    }
  exit(0);
}
